from zeroconf import ServiceBrowser, Zeroconf


class Scanner:

    def remove_service(self, zeroconf, type, name):
        print("Service %s removed" % (name,))

    def add_service(self, zeroconf, type, name):
        snapcast_server = []
        info = zeroconf.get_service_info(type, name)
        snapcast_server.append(name, info)


zeroconf = Zeroconf()
listener = Scanner()
browser = ServiceBrowser(zeroconf, "_snapcast._tcp.local.", listener)

try:
    input("Press enter to exit...\n\n")
finally:
    zeroconf.close()


def get_snapcast_client():
    pass
    # TODO Scroll through list of clients and find right one
